3.14 on Debian Wheezy

From Swan
Jump to: navigation, search

binary packages are at ftp://ftp.libreswan.org/binaries/debian/wheezy/

how to build libnspr 4.10, libnss 3.17 and libreswan 3.14 on wheezy AMD64

Libreswan need libnss 3.16 or later. The vesion in Wheezy [[1] libnss 3.12] is old. This note explain steps to grab nss and nspr from [[2]jessie].

apt-get install ubuntu-dev-tools build-essential screen git less debhelper \
        libgmp3-dev libssl-dev htmldoc man2html libcurl4-openssl-dev \
        libldap2-dev libpam0g-dev libkrb5-dev bison flex dpatch bzip2 \
        po-debconf libunbound-dev libnspr4-dev libnss3-dev libnss3-tools \
        libevent-dev xmlto iproute pkg-config debhelper  dpkg-dev \
        zlib1g-dev libsqlite3-dev autotools-dev


wget http://http.debian.net/debian/pool/main/n/nspr/nspr_4.10.7-1.dsc
wget  http://http.debian.net/debian/pool/main/n/nspr/nspr_4.10.7.orig.tar.gz
wget http://http.debian.net/debian/pool/main/n/nspr/nspr_4.10.7-1.debian.tar.xz
dpkg-source -x nspr_4.10.7-1.dsc
cd nspr-4.10.7/
fakeroot ./debian/rules binary
cd ../
dpkg -i libnspr4_4.10.7-1_amd64.deb libnspr4-0d_4.10.7-1_amd64.deb \
      libnspr4-dev_4.10.7-1_amd64.deb 

wget http://http.debian.net/debian/pool/main/n/nss/nss_3.17.2-1.1.dsc
wget http://http.debian.net/debian/pool/main/n/nss/nss_3.17.2.orig.tar.gz
wget http://http.debian.net/debian/pool/main/n/nss/nss_3.17.2-1.1.debian.tar.xz
dpkg-source -x  nss_3.17.2-1.1.dsc
cd nss-3.17.2/
fakeroot ./debian/rules binary
dpkg -i libnss3_3.17.2-1.1_amd64.deb libnss3-1d_3.17.2-1.1_amd64.deb \
        libnss3-tools_3.17.2-1.1_amd64.deb \
        libnss3-dev_3.17.2-1.1_amd64.deb libnss3-dbg_3.17.2-1.1_amd64.deb

git clone https://github.com/libreswan/libreswan
cd libreswan 
git checkout v3.15
make deb 
cd ../ 
dpkg -i libreswan_3.15*_amd64.deb